Summary:	Index generator for html formatted HOWTO documents (from the Linux Documentation Project)
Name:		howto-utils
Version:	0.2.3
Release:	1mdk
Group:		Text tools
Source:		%{name}-%{version}.tar.bz2
Copyright:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
Requires:	sed

%description
Linux HOWTOs are detailed documents which describe a specific aspect of 
configuring or using Linux.  Linux HOWTOs are a great source of
practical information about your system.  The latest versions of these
documents are located at http://www.linuxdoc.org/docs.html#howto

Currently, availlable tools are :
- makehowtoindex is an index generator for html formatted HOWTO documents

%prep 
%setup -q
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_datadir}/doc/HOWTO/HTML/,%{_bindir}}
install -m 755 makehowtoindex $RPM_BUILD_ROOT%{_bindir}
for i in *.png; do
install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/doc/HOWTO/HTML/;done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/*
%{_datadir}/doc/HOWTO/HTML/*.png

%changelog
* Tue Mar 13 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.2-1mdk
- new version. From Ivan Zakharyaschev <imz@linux.ru.net>
	- include some meta-information really needed for Russian
	  HTML-documents, otherwise some strict HTML-renderers like StarOffice
	  or Midnight Commander assume it to be the standard ISO-..., but not
	  the actually used koi8-r);

	- some HOWTOs are split into several parts (files having names
	  <name>-HOWTO-[0-9]*.html); and then the real overall title is placed
	  into a correspondig ".dsc"-file, the TITLE-elements in each part
	  relate usually only to that part's contents, but not the whole document
	  (that's the situation one can observe in Russian howtos);

	- one has to invoke the script in a subshell, otherwise the environment
	  is spoilt after exec 1> index.html;

	- <TITLE>the title</title> elemnts are not recognised for title
	  extraction;

	- and the bug I described in the previous message: in some cases, we
	  get duplicate names for subsequent items (with different links) --
	  in English howtos.

* Mon Mar 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.2-1mdk
- Merge Etienne Faure patch (Little fix to handle english howto that do
  not have pretty html 
  [Last time someone patch an old version and upload it, i'll kill him)

* Thu Mar 01 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.1-1mdk
- let makehowtoindex fix howto location

* Fri Aug 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-1mdk
- add LN touch

* Fri Aug 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.1-1mdk
- little fix to handle greek howto that don't follow LDP naming rules

* Fri Aug 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-1mdk
- initial release
